using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 轮播图
    /// </summary>
    [SugarTable("YB_Banner", TableDescription = "轮播图", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_Banner
    {

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 广告类型,1-平台广告,2-客户广告
        /// </summary>
        [SugarColumn(ColumnDescription = "广告类型,1-平台广告,2-客户广告")]
        public BannerPositionType PositionType { get; set; }

        /// <summary>
        /// 封面图
        /// </summary>
        [SugarColumn(ColumnDescription = "封面图", ColumnDataType = "varchar(100)")]
        public System.String HeadImg { get; set; }

        /// <summary>
        /// 轮播图名称
        /// </summary>
        [SugarColumn(ColumnDescription = "轮播图名称", ColumnDataType = "nvarchar(100)")]
        public System.String Name { get; set; }

        /// <summary>
        /// 类型,1-文本,2-链接,3-跳转小程序
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-文本,2-链接,3-跳转小程序")]
        public AdType Type { get; set; }

        /// <summary>
        /// 生效时间
        /// </summary>
        [SugarColumn(ColumnDescription = "生效时间")]
        public System.DateTime StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [SugarColumn(ColumnDescription = "结束时间")]
        public System.DateTime EndTime { get; set; }

        /// <summary>
        /// 状态,0-未开启,1-正常运行,2-已关闭
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-未开启,1-正常运行,2-已关闭")]
        public AdStatus Status { get; set; }

        /// <summary>
        /// 状态备注
        /// </summary>
        [SugarColumn(ColumnDescription = "状态备注", ColumnDataType = "nvarchar(100)")]
        public System.String StatusRemark { get; set; }

        /// <summary>
        /// 点击数量
        /// </summary>
        [SugarColumn(ColumnDescription = "点击数量")]
        public System.Int32 ClickCount { get; set; }

        /// <summary>
        /// 客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "客户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 小程序appid
        /// </summary>
        [SugarColumn(ColumnDescription = "小程序appid", IsNullable = true, ColumnDataType = "varchar(50)", DefaultValue = "wx920fdb58338cc50a")]
        public string AppId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime Createtime { get; set; }
    }
}
